package com.atlassian.stash.internal.attach;

import com.google.common.io.InputSupplier;

import javax.annotation.Nonnull;
import java.io.IOException;
import java.io.InputStream;

/**
 * @since 3.1
 */
public interface AttachmentSupplier {

    @Nonnull
    String getName();

    long getSize();

    @Nonnull
    InputStream open() throws IOException;
}
